# Created by pyp2rpm-3.3.2
%global pypi_name pre-commit

Name:           python-%{pypi_name}
Version:        2.20.0
Release:        %mkrel 1
Summary:        A framework for managing and maintaining multi-language pre-commit hooks
Group:          Development/Python
License:        MIT
URL:            https://github.com/pre-commit/pre-commit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pre_commit-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A framework for managing and maintaining multi-language pre-commit hooks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A framework for managing and maintaining multi-language pre-commit hooks.

%prep
%autosetup -n pre_commit-%{version}

# Fix requires
sed -i -e '/futures/d' -e '/importlib-resources/d' setup.cfg

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pre_commit

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/pre-commit
%{_bindir}/pre-commit-validate-config
%{_bindir}/pre-commit-validate-manifest


%changelog
* Mon Aug 22 2022 wally <wally> 2.20.0-1.mga9
+ Revision: 1879325
- new version 2.20.0
- switch build to use pyproject RPM macros

* Wed Mar 23 2022 umeabot <umeabot> 1.18.2-7.mga9
+ Revision: 1822620
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.18.2-6.mga9
+ Revision: 1774523
- Rebuild for python-3.10

* Sun Feb 13 2022 neoclust <neoclust> 1.18.2-5.mga9
+ Revision: 1774127
- Rebuild for pythn 3.10

* Mon Mar 15 2021 neoclust <neoclust> 1.18.2-4.mga9
+ Revision: 1703165
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.18.2-3.mga8
+ Revision: 1531396
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.18.2-2.mga8
+ Revision: 1439794
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.18.2-1.mga8
+ Revision: 1429850
- imported package python-pre-commit

